use crate::game::Game;
use crate::level::Level;
use crate::player::Player;

mod game;
mod player;
mod level;
mod position;

fn main() {
    let mut p = Player::new("Teddy Tester", 10);
    let g = Game {
        player: &mut p,
        levels: Vec::new()
    };

    println!("{}",g.player.get_name());
    println!("{}",g.player.get_life());
    g.player.change_life(-1);
    println!("{}",g.player.get_life());
}
